Bug 836957 - nwipe not getting killed and increasing cpu usage to 99%
Summary: nwipe not getting killed and increasing cpu usage to 99%
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nwipe
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-02 10:19 UTC by Michael Schwendt
Modified: 2012-09-21 20:58 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-27 23:01:58 UTC


Attachments (Terms of Use)
full backtrace attached to the process (1.99 KB, text/plain)
2012-07-02 10:19 UTC, Michael Schwendt
no flags Details

Description Michael Schwendt 2012-07-02 10:19:13 UTC
Created attachment 595697 [details]
full backtrace attached to the process

Description of problem: I had started nwipe in a gnome-terminal. As root user. Since the manual page did not mention the text-mode UI and did not explain the keys to press, I closed the terminal and expected nwipe to close, too. Instead, it kept running and increased CPU usage up to 99%. What a shock! Especially with the man page mentioning an --autonuke feature.


Version-Release number of selected component (if applicable):
# rpm -q nwipe
nwipe-0.08-1.fc17.x86_64


How reproducible:
Always


Steps to Reproduce:
1. start gnome-terminal
2. start nwipe
3. close gnome-terminal
  
Actual results:
nwipe keeps running, working on something

Expected results:
nwipe terminated

Comment 1 Michal Ambroz 2012-08-03 01:25:01 UTC
Hello Michael,
thanks for the report - I am able to reproduce the issue.
I have passed the description to the upstream.

https://sourceforge.net/tracker/?func=detail&aid=3553851&group_id=309235&atid=1302269

Best regards
Michal Ambroz

Comment 2 Fedora Update System 2012-08-25 11:09:38 UTC
nwipe-0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nwipe-0.10-1.fc16

Comment 3 Fedora Update System 2012-08-25 11:09:49 UTC
nwipe-0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nwipe-0.10-1.el6

Comment 4 Fedora Update System 2012-08-25 11:10:11 UTC
nwipe-0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nwipe-0.10-1.fc17

Comment 5 Fedora Update System 2012-08-25 11:10:27 UTC
nwipe-0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nwipe-0.10-1.el5

Comment 6 Fedora Update System 2012-08-25 20:00:00 UTC
Package nwipe-0.10-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nwipe-0.10-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6807/nwipe-0.10-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-08-27 23:01:58 UTC
nwipe-0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-09-09 02:53:43 UTC
nwipe-0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-09-21 20:51:54 UTC
nwipe-0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-09-21 20:58:41 UTC
nwipe-0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.